org.apache.ignite.internal.util

## Class GridStripedSpinBusyLock

- java.lang.Object
- - org.apache.ignite.internal.util.GridStripedSpinBusyLock

    public class GridStripedSpinBusyLock
    extends Object

Striped spin busy lock. Aimed to provide efficient "read" lock semantics while still maintaining safety when entering "busy" state.

### Constructor Summary

Constructors
Constructor and Description
`GridStripedSpinBusyLock()` Default constructor.
`GridStripedSpinBusyLock(int stripeCnt)` Constructor.

### Method Summary

Methods
`void` `block()` Block.
`boolean` `enterBusy()` Enter busy state.
`void` `leaveBusy()` Leave busy state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridStripedSpinBusyLock

    public GridStripedSpinBusyLock()

Default constructor.

#### GridStripedSpinBusyLock

    public GridStripedSpinBusyLock(int stripeCnt)

Constructor.

Parameters:
  `stripeCnt` - Amount of stripes.

### Method Detail

#### enterBusy

    public boolean enterBusy()

Enter busy state.

Returns:
  `True` if entered busy state.

#### leaveBusy

    public void leaveBusy()

Leave busy state.

#### block

    public void block()

Block.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016